Permalink
Browse files

Merge pull request #140 from doctrine/cleanup/optional-fixtures-depen…

…dency

Making dependency to fixtures optional
  • Loading branch information...
2 parents ee1bd30 + cd7a7dd commit bb4bc8898b914b1eee510ed8d714bac4d88c3fc3 @Ocramius Ocramius committed Jan 13, 2013
Showing with 12 additions and 35 deletions.
  1. +7 −32 README.md
  2. +5 −3 composer.json
View
@@ -16,36 +16,11 @@ for more detailed documentation on the features provided by this module.
Installation of DoctrineModule uses composer. For composer documentation, please refer to
[getcomposer.org](http://getcomposer.org/).
- 1. `cd my/project/directory`
- 2. create or modify the `composer.json` file within your ZF2 application file with
- following contents:
-
- ```json
- {
- "minimum-stability": "dev",
- "require": {
- "doctrine/doctrine-module": "dev-master"
- }
- }
- ```
- 3. install composer via `curl -s https://getcomposer.org/installer | php` (on windows, download
- https://getcomposer.org/installer and execute it with PHP). Then run `php composer.phar install`
- 4. open `my/project/directory/configs/application.config.php` and add the following key to your `modules`:
-
- ```php
- 'DoctrineModule',
- ```
-
-##Installation (without composer)
-
- 1. clone this repository to `vendor/DoctrineModule` in your ZF2 application
- 2. The module depends on various packages that you have to install and autoload in order to get
- it to work. Check the `require` section of the
- [`composer.json`](https://github.com/doctrine/DoctrineORMModule/blob/master/composer.json)
- file to see what these requirements are.
- 3. open `my/project/directory/configs/application.config.php` and add the following key to your `modules`:
-
- ```php
- 'DoctrineModule',
- ```
+```sh
+php composer.phar require doctrine/doctrine-module
+# when asked for a version, type `0.*`
+Then add `DoctrineModule` to your `config/application.config.php``
+
+Installation without composer is not officially supported, and requires you to install and autoload
+the dependencies specified in the `composer.json`.
View
@@ -38,7 +38,6 @@
"require": {
"php": ">=5.3.3",
"doctrine/common": ">=2.3-dev,<2.5-dev",
- "doctrine/data-fixtures": "1.*",
"symfony/console": ">=2.0.13",
"zendframework/zend-authentication": "2.*",
"zendframework/zend-cache": "2.*",
@@ -48,7 +47,10 @@
"zendframework/zend-servicemanager": "2.*",
"zendframework/zend-validator": "2.*"
},
- "minimum-stability": "alpha",
+ "suggest": {
+ "doctrine/data-fixtures": "Data Fixtures if you want to generate test data or bootstrap data for your deployments"
+ },
+ "minimum-stability": "dev",
"autoload": {
"psr-0": {
"DoctrineModule\\": "src/",
@@ -57,7 +59,7 @@
},
"extra": {
"branch-alias": {
- "dev-master": "0.6.x-dev"
+ "dev-master": "0.7.x-dev"
}
},
"bin": [

0 comments on commit bb4bc88

Please sign in to comment.